Name: gvrng		
Version: 4.4	
Release: 10%{?dist}
Summary: A robot driving game designed to introduce to kids to programming	

Group: Amusements/Games
License: GPLv2+
URL: http://gvr.sourceforge.net		
Source0: http://downloads.sourceforge.net/project/gvr/GvR%20GTK/4.4/GvRng_4.4.tgz
Source1: gvrng
Source2: gvrng.desktop

BuildArch: noarch
BuildRequires: python2-devel gettext desktop-file-utils ImageMagick

Requires: pygtk2-libglade pygtksourceview

Patch0: gvrng-py-exec.patch
Patch1: gvrng-licence-format.patch
Patch2: gvrng-bindtextdomain.patch

%description
Guido Van Robot is a small, python based programming environment in which
students attempt to guide a small robot (styled after a LOGO environment), out
of various mazes using a python based programming language

%prep
%setup -q -n GvRng_4.4
rm gui-gtk/*.{bak,org}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%install
mkdir -p %{buildroot}/%{python_sitelib}/GvRng_4.4
mkdir -p %{buildroot}/%{_mandir}/man1/
mkdir -p %{buildroot}/usr/share/doc/gvrng
mkdir -p %{buildroot}%{_datadir}/gvrng
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}/%{_datadir}/pixmaps/

cp -r ./* %{buildroot}/%{python_sitelib}/GvRng_4.4
mv %{buildroot}%{python_sitelib}/GvRng_4.4 %{buildroot}%{python_sitelib}/gvrng
mv %{buildroot}%{python_sitelib}/gvrng/docs/gvrng.1.gz %{buildroot}%{_mandir}/man1/
mv %{buildroot}%{python_sitelib}/gvrng/docs/* %{buildroot}/usr/share/doc/gvrng
rmdir %{buildroot}%{python_sitelib}/gvrng/docs
ln -s %{_docdir}/gvrng %{buildroot}%{python_sitelib}/gvrng/docs
mv %{buildroot}%{python_sitelib}/gvrng/Changelog %{buildroot}/usr/share/doc/gvrng
mv %{buildroot}%{python_sitelib}/gvrng/copyright %{buildroot}/usr/share/doc/gvrng
mv %{buildroot}%{python_sitelib}/gvrng/GPL-2 %{buildroot}/usr/share/doc/gvrng
install -m 0755 %{SOURCE1} %{buildroot}/%{_bindir}
convert -size 48x48 ./bitmaps/robot.svg \
                    %{buildroot}/%{_datadir}/pixmaps/gvrng.png
desktop-file-install --dir=%{buildroot}/%{_datadir}/applications/ %{SOURCE2}
%find_lang %{name}

%files -f %{name}.lang
%dir %{python_sitelib}/gvrng
%{python_sitelib}/gvrng/*
%doc %{_docdir}/gvrng
%dir %{_datadir}/gvrng
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_bindir}/*

%changelog
* Wed Aug 27 2014 Neil Horman <nhorman@tuxdriver.com> - 4.4-10
- Fixed locale location (bz 1133237)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr  5 2014 Ville Skyttä <ville.skytta@iki.fi> - 4.4-8
- Don't ship editor backup files
- Fix bogus date in %%changelog

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Neil Horman <nhorman@tuxdriver.com> - 4.4-6
- Fixed BuildRequires (bz914071)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Neil Horman <nhorman@tuxdriver.com> - 4.4-4
- Fixed pygtksourceview dep (bz895719)
- Fixed desktop-file install issue (bz895720)

* Wed Dec 26 2012 Neil Horman <nhorman@tuxdriver.com> - 4.4-3
- Removed clean section (no epel packaging)
- Removed redundant python2 Requires

* Fri Dec 21 2012 Neil Horman <nhorman@tuxdriver.com> - 4.4-2
- Fixed up intiial issued found during package review

* Wed Dec 05 2012 Neil Horman <nhorman@tuxdriver.com> - 4.4-1
- Initial build

